------
-- Galaxy Initialization Script.
--
-- This script is always the first script that is executed for
-- the galaxy.
--
-- Notes:
--
-- * It is *not* attached to the galaxy.
-- * It is called *BEFORE* any other scripts are initialized
-- * When loading from Database, other scripts attached to the
--   Galaxy are available through Galaxy():hasScript(), etc.
-- * When adding scripts to the galaxy from here with addScript()
--   or addScriptOnce():
--   * the added scripts are NOT initialized immediately
--   * their initialization order is not defined
--   * parameters passed in addition to the script name will be
--     *IGNORED* and *NOT* passed to the script's initialize() function
--   * the script will be treated as if loaded from database, with the
--     `_restoring` variable set in its initialize() function

-- Add the `vector_mod_shutdown` script to Galaxy initialization.
Galaxy():addScriptOnce("vector_mod_shutdown.lua")
